Skip to main content
GET
Get Task

Authorizations

Authorization
string
header
required

Bearer API key issued from Settings → Developers.

Path Parameters

task_id
string<uuid>
required

ID of the task.

Response

200 - application/json

Successful Response

id
string<uuid>
required

Unique identifier.

organization_id
string<uuid>
required

Workspace this task belongs to.

type
enum<string>
required

What kind of task this is.

Available options:
EMAIL_REPLY,
LINKEDIN_REPLY,
NEW_LEAD_REVIEW,
CALL,
PLAYBOOK_APPROVAL,
TODO
priority
enum<string>
required

Task priority bucket.

Available options:
HOT,
TODAY,
EXTRA
status
enum<string>
required

Current lifecycle state.

Available options:
PENDING,
IN_PROGRESS,
COMPLETED,
SKIPPED
sequence_id
string<uuid> | null
required

Sequence run this task was projected from, if any.

assignee_user_id
string<uuid> | null
required

User the task is assigned to, if any.

disposition
enum<string> | null
required

Outcome for call tasks once executed.

Available options:
ANSWERED,
VOICEMAIL_LEFT,
NO_ANSWER,
INTERESTED,
NOT_INTERESTED,
WRONG_NUMBER
reopened_at
string<date-time> | null
required

When the task was last reopened, if ever.

reopen_reason
enum<string> | null
required

Why the task was reopened, if applicable.

Available options:
REMINDER_RULE
skipped_at
string<date-time> | null
required

When the task was skipped, if applicable.

completed_at
string<date-time> | null
required

When the task was completed, if applicable.

created_at
string<date-time>
required

When the task was created.

updated_at
string<date-time>
required

When the task last changed.

title
string | null

Task title for standalone tasks.

due_date
string<date> | null

Due date for standalone tasks.

contact
PublicContactSummary · object | null

Summary of the contact linked to this task.

assignee
PublicUserSummary · object | null

Summary of the user this task is assigned to.

sequence_template
PublicSequenceTemplateSummary · object | null

Summary of the sequence template for sequence-derived tasks.

snoozed_until
string<date-time> | null

When the task is snoozed until, if deferred.